[gcode_macro QUEUE_TRANSITION_ENABLE]
description: Enables Queue Mode, which disables purge line & cooldown between queue iterations. Note: This WILL leave the hotend enabled, so make sure the timeout it configured to shutdown when done.
gcode:
    SAVE_VARIABLE VARIABLE='queue_transition' VALUE=1
    { action_respond_info( "Queue Transition Enabled" ) }
    QUEUE_TRANSITION_STATUS